#
# spec file for package firescope
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           firescope
License:        GPL-2.0+
Group:          System/Monitoring
Version:        0.2
Release:        91.3
Summary:        Read linux kernel logs over firewire
Source:         http://ftp.suse.com/pub/people/ak/firescope/%{name}-%{version}.tar.bz2
Source1:        COPYING.GPLv2
Url:            ftp://firstfloor.org/pub/ak/firescope/
Patch0:         firescope-fix-uninitialised
BuildRequires:  gcc libraw1394-devel
%ifarch x86_64
BuildRequires:  glibc-32bit glibc-devel-32bit libraw1394-devel-32bit
BuildRequires:  gcc-32bit
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Firescope allows to read remote kernel memory over a firewire
connection.  On x86-64 it is normally used to read the kernel log
buffer.

%prep
%setup
%patch0 -p1

%build
# disable as-needed to fix build
export SUSE_ASNEEDED=0
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
make CC="%__cc" CFLAGS="$RPM_OPT_FLAGS" firescope %{?_smp_mflags}
%ifarch x86_64
make CC="%__cc" CFLAGS="$RPM_OPT_FLAGS" firescope32 %{?_smp_mflags}
%endif
cp %{S:1} COPYING

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 firescope $RPM_BUILD_ROOT/%{_bindir}
%ifarch x86_64
install -m 755 firescope32 $RPM_BUILD_ROOT/%{_bindir}
%endif
install -m 644 firescope.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-, root, root)
%doc %{_mandir}/man1/%{name}.1.gz
%doc QUICKSTART CHANGES
%doc COPYING
%{_bindir}/%{name}*

%changelog
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Sun Jul 12 2009 coolo@novell.com
- disable as-needed to fix build
* Mon Mar 17 2008 bwalle@suse.de
- added COPYING file (bnc#336222)
* Tue Oct 23 2007 bwalle@suse.de
- initial package
